# Uses of Enum Class
java.security.CryptoPrimitive

Packages that use CryptoPrimitive
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of CryptoPrimitive in java.security

Subclasses with type arguments of type CryptoPrimitive in java.security
Modifier and Type
Class
Description
`enum`
`CryptoPrimitive`
An enumeration of cryptographic primitives.
Methods in java.security that return CryptoPrimitive
Modifier and Type
Method
Description
`static CryptoPrimitive`
CryptoPrimitive.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CryptoPrimitive[]`
CryptoPrimitive.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Method parameters in java.security with type arguments of type CryptoPrimitive
Modifier and Type
Method
Description
`boolean`
AlgorithmConstraints.`permits(Set<CryptoPrimitive> primitives, String algorithm, AlgorithmParameters parameters)`
Determines whether an algorithm is granted permission for the specified cryptographic primitives.
`boolean`
AlgorithmConstraints.`permits(Set<CryptoPrimitive> primitives, String algorithm, Key key, AlgorithmParameters parameters)`
Determines whether an algorithm and the corresponding key are granted permission for the specified cryptographic primitives.
`boolean`
AlgorithmConstraints.`permits(Set<CryptoPrimitive> primitives, Key key)`
Determines whether a key is granted permission for the specified cryptographic primitives.